Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.adapter.faces.component.naming
Class NamingContainerComponent

    java.lang.Object
      UIComponentBase
          com.bea.portlet.adapter.faces.component.naming.NamingContainerComponent

    public final class NamingContainerComponent

extends UIComponentBase

Custom JSF component to introduce a `NamingContainer` in the component tree that is responsible for ensuring that component identifiers in the component tree are unique within a portal page.

### Usage

Refer to Usage for usage information.

See Also
  Overview

Constructor Summary
`NamingContainerComponent()` Constructor.

Method Summary
`String` | `getClientId(FacesContext context)` Get the client ID.
`String` | `getDefaultScopeKey()` Get the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.
`String` | `getFamily()` Get the component family (`com.bea.portlet.faces.naming.NamingContainer`).
`String` | `getId()` Get the ID of this component.
`void` | `setDefaultScopeKey(String defaultScopeKey)` Change the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.
`void` | `setId(String id)` Change the ID of this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContainerComponent

    public NamingContainerComponent()

  Constructor.

Method Detail

### getDefaultScopeKey

    public String getDefaultScopeKey()

  Get the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.

  Returns
    the default value for the scope key if the request is not being processed within a `facesContent` control in a portal

### setDefaultScopeKey

    public void setDefaultScopeKey(String defaultScopeKey)

  Change the default value for the scope key if the request is not being processed within a `facesContent` control in a portal.

  Parameters
    `defaultScopeKey` - the default value for the scope key if the request is not being processed within a `facesContent` control in a portal

### getFamily

    public String getFamily()

  Get the component family (`com.bea.portlet.faces.naming.NamingContainer`).

  Returns
    the component family (`com.bea.portlet.faces.naming.NamingContainer`)

### getClientId

    public String getClientId(FacesContext context)

  Get the client ID.

  The client ID is constructed from the scope key.

  Returns
    the client ID
  See Also
    `ScopedIdSupport.getScopeKey(FacesContext, String)`

### getId

    public String getId()

  Get the ID of this component.

  The ID is the scope key.

  Returns
    the ID (the scope key) of this component
  See Also
    `ScopedIdSupport.getScopeKey(FacesContext, String)`

### setId

    public void setId(String id)

  Change the ID of this component.

  This method forces the ID of this component to be the scope key. It is not possible to override the ID of this component.

  Parameters
    `id` - (ignored) the ID of this component
  See Also
    `ScopedIdSupport.getScopeKey(FacesContext, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.